
#### Random Generation and MLE for Bernoulli Data ####
data1<-rbinom(n=100,size=1,p=0.3)
n<-length(data1)
p.mle1<-sum(data1)/n
I.star<- - (-sum(data1)/(p.mle1^2) -(n-sum(data1))/((1-p.mle1)^2) )
se.p<-sqrt(1/I.star)
c.i<-c(p.mle1-se.p*qnorm(0.975),p.mle1+se.p*qnorm(0.975))
out1<-c(p.mle1,se.p,c.i)
names(out1)<-c("estimate", "se", "l.c.i", "r.c.i")
out1
##### Simulate Bernoulli data by using the Foundamental Theorem of simulation #####
u<-runif(n=1000,min=0,max=1)
u<-runif(1000)
data2<-qbinom(u,1,0.3)
### The procedure adopted for simulating data2 is equivalent to the procedure adopted for simulating data1
n<-length(data2)
p.mle2<-sum(data2)/n
I.star<- -(-sum(data2)/(p.mle2^2) -(n-sum(data2))/((1-p.mle2)^2))
se.p<-sqrt(1/I.star)
c.i<-c(p.mle2-se.p*qnorm(0.975),p.mle2+se.p*qnorm(0.975))
out2<-c(p.mle2,se.p,c.i)
names(out2)<-c("estimate", "se", "l.c.i", "r.c.i")
out2

#### Random Generation and MLE for Multinomial Data ####
data3<-rmultinom(n=100,size=100,p=c(0.2,0.2,0.6))
p.mle3<-NULL
for(i in 1:dim(data3)[1]) p.mle3<-c(p.mle3,sum(data3[i,])/sum(data3))
p.mle3

### As an excercise, you may calculate the standard error and the conficence interval of p.mle3###

#### Random Generation and MLE for Poisson Data ####
data4<-rpois(100,lambda = 0.8)
lambda.mle1<-sum(data4)/length(data4)
lambda.mle1
##### Simulate Poisson data by using the Foundamental Theorem of simulation #####
u<-runif(100)
data5<-qpois(u,lambda=0.8)
lambda.mle2<-sum(data5)/length(data5)
lambda.mle2

### As an excercise, you may calculate the standard error and the conficence interval of lambda.mle###

